/**
 * @fileoverview ArrayWithDefault class
 * @author Nicholas C. Zakas
 */
/**
 * An array structure where unknown numeric properties automatically
 * return a default value when read.
 */
export class ArrayWithDefault extends Array<any> {
    /**
     * Creates a new instance.
     * @param {Object} options
     * @param {*} options.default The default value for missing elements.
     * @param {Array} [options.elements] The array elements to prepopulate into
     *      the array.
     * @param {number} [options.length] The number of elements in the array.
     */
    constructor(options?: {
        default: any;
        elements?: any[];
        length?: number;
    });
}
